Focus · Reddit
Typed Focus mode operations for Reddit accounts, generated from the Reddit focus module (same behaviour as the generic /accounts/{accountId}/focus routes).
focus_reddit- Profile1
- Preferences2
- Trophies1
- Friends3
- Blocked users3
- My posts17
- My comments8
- Saved4
- Hidden2
- Voted2
- Overview1
- My subreddits5
- Subreddits7
- Feed28
- Search26
- Post comments21
- Subreddit rules5
- Post flairs2
- User flair4
- Wiki11
- Custom feeds7
- Inbox5
- Messages7
- Mentions8
- Replies8
- Sent1
- Announcements4
- Moderated subreddits4
- Mod queue19
- Mod log1
- Modmail17
- Banned users3
- Muted users3
- Approved users3
- Wiki banned3
- Wiki contributors3
- Moderators6
- Mod notes4
- Removal reasons4
- Flair templates7
- User flairs5
- Subreddit settings2
- Stylesheet2
- Widgets5
- Emojis3
- Traffic1
- Karma1
- Post performance1
- Subreddit performance1
- Best times1
Profile
Reddit: Get Profile
/accounts/{accountId}/reddit/profileGET /api/v1/me. Your Reddit account: karma, followers, account age and inbox state. Requires scopes: identity. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/profile.
Try it with MCPAsk your agent to call reddit-profile-get (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Returns object
idstringt2_ fullname
usernamestringcreated_atstring (date-time)link_karmaintegercomment_karmaintegertotal_karmaintegerawarder_karmainteger | nullawardee_karmainteger | nullicon_urlstring (uri) | nullsnoovatar_urlstring (uri) | nullfollowersinteger | nullProfile followers
profile_titlestring | nullprofile_descriptionstring | nullover_18boolean | nullis_modboolean | nullhas_verified_emailboolean | nullis_suspendedboolean | nullaccept_followersboolean | nullinbox_countinteger | nullhas_mailboolean | nullhas_mod_mailboolean | nullResponses
Preferences
Reddit: Get Preferences
/accounts/{accountId}/reddit/preferencesGET /api/v1/me/prefs. Account preferences (privacy, content, messaging). Email and password are never exposed. Requires scopes: identity. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/preferences.
Try it with MCPAsk your agent to call reddit-preferences-get (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Returns object
langstringInterface language (e.g. en)
over_18booleanI am over 18 and willing to view adult content
search_include_over_18booleanlabel_nsfwbooleanhide_from_robotsbooleanHide profile from search engines
show_presencebooleanShow online status
enable_followersbooleanAllow people to follow you
accept_pmsstringeveryonewhitelisted
show_location_based_recommendationsbooleanactivity_relevant_adsbooleanthird_party_data_personalized_adsbooleanthird_party_site_data_personalized_adsbooleanthird_party_site_data_personalized_contentbooleanallow_clicktrackingbooleanmediastringonoffsubreddit
media_previewstringonoffsubreddit
nightmodebooleandefault_comment_sortstringconfidencetopnewcontroversialoldrandomqalive
ignore_suggested_sortbooleansend_welcome_messagesbooleanemail_messagesbooleanemail_unsubscribe_allbooleanfeed_recommendations_enabledbooleantop_karma_subredditsbooleanResponses
Reddit: Update Preferences
/accounts/{accountId}/reddit/preferencesPATCH /api/v1/me/prefs. Account preferences (privacy, content, messaging). Email and password are never exposed. Requires scopes: identity, account. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/preferences.
Try it with MCPAsk your agent to call reddit-preferences-update (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Body object
langstringInterface language (e.g. en)
over_18booleanI am over 18 and willing to view adult content
search_include_over_18booleanlabel_nsfwbooleanhide_from_robotsbooleanHide profile from search engines
show_presencebooleanShow online status
enable_followersbooleanAllow people to follow you
accept_pmsstringeveryonewhitelisted
show_location_based_recommendationsbooleanactivity_relevant_adsbooleanthird_party_data_personalized_adsbooleanthird_party_site_data_personalized_adsbooleanthird_party_site_data_personalized_contentbooleanallow_clicktrackingbooleanmediastringonoffsubreddit
media_previewstringonoffsubreddit
nightmodebooleandefault_comment_sortstringconfidencetopnewcontroversialoldrandomqalive
ignore_suggested_sortbooleansend_welcome_messagesbooleanemail_messagesbooleanemail_unsubscribe_allbooleanfeed_recommendations_enabledbooleantop_karma_subredditsbooleanReturns object
langstringInterface language (e.g. en)
over_18booleanI am over 18 and willing to view adult content
search_include_over_18booleanlabel_nsfwbooleanhide_from_robotsbooleanHide profile from search engines
show_presencebooleanShow online status
enable_followersbooleanAllow people to follow you
accept_pmsstringeveryonewhitelisted
show_location_based_recommendationsbooleanactivity_relevant_adsbooleanthird_party_data_personalized_adsbooleanthird_party_site_data_personalized_adsbooleanthird_party_site_data_personalized_contentbooleanallow_clicktrackingbooleanmediastringonoffsubreddit
media_previewstringonoffsubreddit
nightmodebooleandefault_comment_sortstringconfidencetopnewcontroversialoldrandomqalive
ignore_suggested_sortbooleansend_welcome_messagesbooleanemail_messagesbooleanemail_unsubscribe_allbooleanfeed_recommendations_enabledbooleantop_karma_subredditsbooleanResponses
Trophies
Reddit: List Trophies
/accounts/{accountId}/reddit/trophiesGET /api/v1/me/trophies. Cursor pagination: pass next_cursor back as cursor. Requires scopes: identity. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/trophies.
Try it with MCPAsk your agent to call reddit-trophies-list (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 6 item attributes
idstringnamestringdescriptionstring | nullicon_urlstring (uri) | nullgranted_atstring (date-time) | nullurlstring (uri) | nulllimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Friends
Reddit: List Followed users
/accounts/{accountId}/reddit/friendsGET /api/v1/me/friends. Users you follow (Reddit "friends"). Following must be a human action. Cursor pagination: pass next_cursor back as cursor. Requires scopes: read. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/friends.
Try it with MCPAsk your agent to call reddit-friends-list (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 5 item attributes
idstringusername
usernamestringuser_idstring | nullsincestring (date-time) | nullnotestring | nulllimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Reddit: Create a Followed users item
/accounts/{accountId}/reddit/friendsPUT /api/v1/me/friends/{username}. Users you follow (Reddit "friends"). Following must be a human action. Requires scopes: read, subscribe. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/friends.
Try it with MCPAsk your agent to call reddit-friends-create (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
usernamestringrequired≥ 1 characters
Returns object
idstringusername
usernamestringuser_idstring | nullsincestring (date-time) | nullnotestring | nullResponses
Reddit: Delete a Followed users item
/accounts/{accountId}/reddit/friends/{itemId}DELETE /api/v1/me/friends/{username}. Users you follow (Reddit "friends"). Following must be a human action. Requires scopes: read, subscribe. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/friends.
Try it with MCPAsk your agent to call reddit-friends-delete (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_item
platformstringrequiredresourcestringrequiredidstring | nullrequireddeletedbooleanrequiredresultanyResponses
Blocked users
Reddit: List Blocked users
/accounts/{accountId}/reddit/blocked-usersGET /prefs/blocked. Cursor pagination: pass next_cursor back as cursor. Requires scopes: read. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/blocked-users.
Try it with MCPAsk your agent to call reddit-blocked-users-list (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 5 item attributes
idstringusername
usernamestringuser_idstring | nullsincestring (date-time) | nullnotestring | nulllimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Reddit: Create a Blocked users item
/accounts/{accountId}/reddit/blocked-usersPOST /api/block_user (approved OAuth apps only). Requires scopes: read, account. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/blocked-users.
Try it with MCPAsk your agent to call reddit-blocked-users-create (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
usernamestringrequired≥ 1 characters
Returns object
idstringusername
usernamestringuser_idstring | nullsincestring (date-time) | nullnotestring | nullResponses
Reddit: Delete a Blocked users item
/accounts/{accountId}/reddit/blocked-users/{itemId}POST /r/all/api/unfriend type=enemy (scope unverified). Requires scopes: read, account. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/blocked-users.
Try it with MCPAsk your agent to call reddit-blocked-users-delete (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_item
platformstringrequiredresourcestringrequiredidstring | nullrequireddeletedbooleanrequiredresultanyResponses
My posts
Reddit: List My posts
/accounts/{accountId}/reddit/my-postsGET /user/{me}/submitted. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Cursor pagination: pass next_cursor back as cursor. Requires scopes: history. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-list (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (Reddit after fullname)
limitintegerdefault: 251–100
sortstringdefault: "new"newhottopcontroversial
tstringTime filter for top/controversial
hourdayweekmonthyearall
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 36 item attributes
idstringrequiredt3_ fullname
short_idstringtitlestringrequired≤ 300 characters
textstringMarkdown body (self posts)
urlstring (uri) | nullpermalinkstring (uri)subredditstringauthorstringcreated_atstring (date-time)edited_atstring (date-time) | nullscoreintegerupvote_rationumber | null0–1
num_commentsintegernum_crosspostsintegerawardsintegerview_countinteger | nullkindstringselflinkimagevideogallerypollcrosspost
domainstring | nullthumbnailstring (uri) | nullflair_textstring | nullflair_template_idstring | nullover_18booleanspoilerbooleanlockedbooleanstickiedbooleanarchivedbooleandistinguishedstring | nullsend_repliesboolean | nullsavedbooleanhiddenbooleanmy_voteinteger-101
removed_by_categorystring | nullnum_reportsinteger | nullpollobject | nullShow 3 child attributes
total_votesinteger | nullends_atstring (date-time) | nulloptionsarray of objectShow 3 item attributes
idstringtextstringvotesinteger | nullgalleryarray of object | nullShow 4 item attributes
media_idstringcaptionstring | nulloutbound_urlstring (uri) | nullurlstring (uri) | nullvideo_urlstring (uri) | nulllimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Reddit: Create a My posts item
/accounts/{accountId}/reddit/my-postsPublish now (POST /api/submit | submit_gallery_post | submit_poll_post). Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, submit. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-create (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
subredditstringrequiredSubreddit name without r/
≥ 1 characters
titlestringrequired1–300 characters
textstringMarkdown body. Use {media1}… placeholders to position inline media.
kindstringdefault: "auto"autoselflinkimagevideovideogifgallerypollcrosspost
urlstring (uri)Link post URL
mediaarray of string≤ 20 items
flairIdstring≤ 36 characters
flairTextstring≤ 64 characters
nsfwbooleandefault: falsespoilerbooleandefault: falsesendRepliesbooleandefault: truevideogifbooleannativeVideobooleandefault: truebodyWithMediastringdefault: "inline"inlinecommentdrop
pollobjectShow 2 child attributes
optionsarray of string2–6 items
durationintegerdefault: 31–7
crosspostOfstringt3_ id or permalink
collectionIdstringfirstCommentstringfirstCommentStickybooleanReturns object
idstringrequiredt3_ fullname
short_idstringtitlestringrequired≤ 300 characters
textstringMarkdown body (self posts)
urlstring (uri) | nullpermalinkstring (uri)subredditstringauthorstringcreated_atstring (date-time)edited_atstring (date-time) | nullscoreintegerupvote_rationumber | null0–1
num_commentsintegernum_crosspostsintegerawardsintegerview_countinteger | nullkindstringselflinkimagevideogallerypollcrosspost
domainstring | nullthumbnailstring (uri) | nullflair_textstring | nullflair_template_idstring | nullover_18booleanspoilerbooleanlockedbooleanstickiedbooleanarchivedbooleandistinguishedstring | nullsend_repliesboolean | nullsavedbooleanhiddenbooleanmy_voteinteger-101
removed_by_categorystring | nullnum_reportsinteger | nullpollobject | nullShow 3 child attributes
total_votesinteger | nullends_atstring (date-time) | nulloptionsarray of objectShow 3 item attributes
idstringtextstringvotesinteger | nullgalleryarray of object | nullShow 4 item attributes
media_idstringcaptionstring | nulloutbound_urlstring (uri) | nullurlstring (uri) | nullvideo_urlstring (uri) | nullResponses
Reddit: Get a My posts item
/accounts/{accountId}/reddit/my-posts/{itemId}GET /api/info. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, read. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-get (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
idstringrequiredt3_ fullname
short_idstringtitlestringrequired≤ 300 characters
textstringMarkdown body (self posts)
urlstring (uri) | nullpermalinkstring (uri)subredditstringauthorstringcreated_atstring (date-time)edited_atstring (date-time) | nullscoreintegerupvote_rationumber | null0–1
num_commentsintegernum_crosspostsintegerawardsintegerview_countinteger | nullkindstringselflinkimagevideogallerypollcrosspost
domainstring | nullthumbnailstring (uri) | nullflair_textstring | nullflair_template_idstring | nullover_18booleanspoilerbooleanlockedbooleanstickiedbooleanarchivedbooleandistinguishedstring | nullsend_repliesboolean | nullsavedbooleanhiddenbooleanmy_voteinteger-101
removed_by_categorystring | nullnum_reportsinteger | nullpollobject | nullShow 3 child attributes
total_votesinteger | nullends_atstring (date-time) | nulloptionsarray of objectShow 3 item attributes
idstringtextstringvotesinteger | nullgalleryarray of object | nullShow 4 item attributes
media_idstringcaptionstring | nulloutbound_urlstring (uri) | nullurlstring (uri) | nullvideo_urlstring (uri) | nullResponses
Reddit: Update a My posts item
/accounts/{accountId}/reddit/my-posts/{itemId}POST /api/editusertext (+ flags/flair). Titles cannot be edited. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, edit. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-update (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Body object
textstringnsfwbooleanspoilerbooleansendRepliesbooleanflairIdstringflairTextstringReturns object
idstringrequiredt3_ fullname
short_idstringtitlestringrequired≤ 300 characters
textstringMarkdown body (self posts)
urlstring (uri) | nullpermalinkstring (uri)subredditstringauthorstringcreated_atstring (date-time)edited_atstring (date-time) | nullscoreintegerupvote_rationumber | null0–1
num_commentsintegernum_crosspostsintegerawardsintegerview_countinteger | nullkindstringselflinkimagevideogallerypollcrosspost
domainstring | nullthumbnailstring (uri) | nullflair_textstring | nullflair_template_idstring | nullover_18booleanspoilerbooleanlockedbooleanstickiedbooleanarchivedbooleandistinguishedstring | nullsend_repliesboolean | nullsavedbooleanhiddenbooleanmy_voteinteger-101
removed_by_categorystring | nullnum_reportsinteger | nullpollobject | nullShow 3 child attributes
total_votesinteger | nullends_atstring (date-time) | nulloptionsarray of objectShow 3 item attributes
idstringtextstringvotesinteger | nullgalleryarray of object | nullShow 4 item attributes
media_idstringcaptionstring | nulloutbound_urlstring (uri) | nullurlstring (uri) | nullvideo_urlstring (uri) | nullResponses
Reddit: Delete a My posts item
/accounts/{accountId}/reddit/my-posts/{itemId}POST /api/del. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, edit. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-delete (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_item
platformstringrequiredresourcestringrequiredidstring | nullrequireddeletedbooleanrequiredresultanyResponses
Reddit: Set flair (My posts)
/accounts/{accountId}/reddit/my-posts/{itemId}/set-flairSet flair. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, flair. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-set-flair (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
flairTemplateIdstringtextstring≤ 64 characters
subredditstringReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Inbox replies on/off (My posts)
/accounts/{accountId}/reddit/my-posts/{itemId}/toggle-repliesInbox replies on/off. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, edit. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-toggle-replies (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
statebooleanrequiredReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Add comment (My posts)
/accounts/{accountId}/reddit/my-posts/{itemId}/commentAdd comment. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, submit. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-comment (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
textstringrequired≥ 1 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Find processed media post (My posts)
/accounts/{accountId}/reddit/my-posts/reconcileResolve an image/video post whose processing outlived publish() (title + subreddit + submittedAt). Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-reconcile (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
titlestringrequiredsubredditstringrequiredsubmittedAtstring (date-time)Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Vote (My posts)
/accounts/{accountId}/reddit/my-posts/{itemId}/voteUpvote (1), downvote (-1) or clear (0). Human click only; never automate or batch. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, vote. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-vote (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
directionintegerrequired10-1
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Save (My posts)
/accounts/{accountId}/reddit/my-posts/{itemId}/saveSave. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, save. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-save (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
categorystringSaved category (Reddit Premium)
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unsave (My posts)
/accounts/{accountId}/reddit/my-posts/{itemId}/unsaveUnsave. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, save. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-unsave (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Report (My posts)
/accounts/{accountId}/reddit/my-posts/{itemId}/reportReport. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, report. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-report (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
reasonstringReason text
≤ 100 characters
rule_reasonstringSubreddit rule short_name
site_reasonstringSite-wide rule
custom_textstring≤ 2000 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Hide (My posts)
/accounts/{accountId}/reddit/my-posts/{itemId}/hideHide. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, report. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-hide (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unhide (My posts)
/accounts/{accountId}/reddit/my-posts/{itemId}/unhideUnhide. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, report. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-unhide (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Follow post (My posts)
/accounts/{accountId}/reddit/my-posts/{itemId}/followFollow post. Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, subscribe. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-follow (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
followbooleandefault: trueReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Crosspost (My posts)
/accounts/{accountId}/reddit/my-posts/{itemId}/crosspostCrosspost to one subreddit (customise the title; no mass cross-posting). Posts you submitted. Compose new posts, edit text bodies, toggle flags and flair, delete. Requires scopes: history, submit. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-posts.
Try it with MCPAsk your agent to call reddit-my-posts-crosspost (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
subredditstringrequiredSubreddit name without r/
≥ 1 characters
titlestringrequired≤ 300 characters
nsfwbooleanspoilerbooleanflairIdstringflairTextstringsendRepliesbooleandefault: trueReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
My comments
Reddit: List My comments
/accounts/{accountId}/reddit/my-commentsGET /user/{me}/comments. Cursor pagination: pass next_cursor back as cursor. Requires scopes: history. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-comments.
Try it with MCPAsk your agent to call reddit-my-comments-list (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (Reddit after fullname)
limitintegerdefault: 251–100
sortstringdefault: "new"newhottopcontroversial
tstringTime filter for top/controversial
hourdayweekmonthyearall
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 22 item attributes
idstringrequiredt1_ fullname
textstringauthorstringcreated_atstring (date-time)edited_atstring (date-time) | nullscoreintegerlike_countintegerparent_idstringt3_ (top level) or t1_ parent
post_idstringpost_titlestring | nullsubredditstringpermalinkstring (uri)depthintegerreplies_countintegeris_submitterbooleanis_ownboolean | nulldistinguishedstring | nullstickiedbooleanlockedbooleansavedbooleanmy_voteinteger-101
removedbooleanlimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Reddit: Update a My comments item
/accounts/{accountId}/reddit/my-comments/{itemId}POST /api/editusertext. Requires scopes: history, edit. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-comments.
Try it with MCPAsk your agent to call reddit-my-comments-update (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Body object
textstringrequired≥ 1 characters
Returns object
idstringrequiredt1_ fullname
textstringauthorstringcreated_atstring (date-time)edited_atstring (date-time) | nullscoreintegerlike_countintegerparent_idstringt3_ (top level) or t1_ parent
post_idstringpost_titlestring | nullsubredditstringpermalinkstring (uri)depthintegerreplies_countintegeris_submitterbooleanis_ownboolean | nulldistinguishedstring | nullstickiedbooleanlockedbooleansavedbooleanmy_voteinteger-101
removedbooleanResponses
Reddit: Delete a My comments item
/accounts/{accountId}/reddit/my-comments/{itemId}POST /api/del. Requires scopes: history, edit. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-comments.
Try it with MCPAsk your agent to call reddit-my-comments-delete (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_item
platformstringrequiredresourcestringrequiredidstring | nullrequireddeletedbooleanrequiredresultanyResponses
Reddit: Pin (sticky as moderator) (My comments)
/accounts/{accountId}/reddit/my-comments/{itemId}/pinPin (sticky as moderator). Requires scopes: history, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-comments.
Try it with MCPAsk your agent to call reddit-my-comments-pin (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
pinbooleandefault: trueReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Vote (My comments)
/accounts/{accountId}/reddit/my-comments/{itemId}/voteUpvote (1), downvote (-1) or clear (0). Human click only; never automate or batch. Requires scopes: history, vote. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-comments.
Try it with MCPAsk your agent to call reddit-my-comments-vote (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
directionintegerrequired10-1
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Save (My comments)
/accounts/{accountId}/reddit/my-comments/{itemId}/saveSave. Requires scopes: history, save. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-comments.
Try it with MCPAsk your agent to call reddit-my-comments-save (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
categorystringSaved category (Reddit Premium)
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unsave (My comments)
/accounts/{accountId}/reddit/my-comments/{itemId}/unsaveUnsave. Requires scopes: history, save. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-comments.
Try it with MCPAsk your agent to call reddit-my-comments-unsave (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Report (My comments)
/accounts/{accountId}/reddit/my-comments/{itemId}/reportReport. Requires scopes: history, report. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-comments.
Try it with MCPAsk your agent to call reddit-my-comments-report (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
reasonstringReason text
≤ 100 characters
rule_reasonstringSubreddit rule short_name
site_reasonstringSite-wide rule
custom_textstring≤ 2000 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Saved
Reddit: List Saved
/accounts/{accountId}/reddit/savedGET /user/{me}/saved. Cursor pagination: pass next_cursor back as cursor. Requires scopes: history. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/saved.
Try it with MCPAsk your agent to call reddit-saved-list (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (Reddit after fullname)
limitintegerdefault: 251–100
typestringlinkscomments
categorystringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 45 item attributes
idstringrequiredt1_ fullname
short_idstringtitlestring≤ 300 characters
textstringurlstring (uri) | nullpermalinkstring (uri)subredditstringauthorstringcreated_atstring (date-time)edited_atstring (date-time) | nullscoreintegerupvote_rationumber | null0–1
num_commentsintegernum_crosspostsintegerawardsintegerview_countinteger | nullkindstringpostcomment
domainstring | nullthumbnailstring (uri) | nullflair_textstring | nullflair_template_idstring | nullover_18booleanspoilerbooleanlockedbooleanstickiedbooleanarchivedbooleandistinguishedstring | nullsend_repliesboolean | nullsavedbooleanhiddenbooleanmy_voteinteger-101
removed_by_categorystring | nullnum_reportsinteger | nullpollobject | nullShow 3 child attributes
total_votesinteger | nullends_atstring (date-time) | nulloptionsarray of objectShow 3 item attributes
idstringtextstringvotesinteger | nullgalleryarray of object | nullShow 4 item attributes
media_idstringcaptionstring | nulloutbound_urlstring (uri) | nullurlstring (uri) | nullvideo_urlstring (uri) | nulllike_countintegerparent_idstringt3_ (top level) or t1_ parent
post_idstringpost_titlestring | nulldepthintegerreplies_countintegeris_submitterbooleanis_ownboolean | nullremovedbooleanlimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Reddit: Delete a Saved item
/accounts/{accountId}/reddit/saved/{itemId}POST /api/unsave. Requires scopes: history, save. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/saved.
Try it with MCPAsk your agent to call reddit-saved-delete (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_item
platformstringrequiredresourcestringrequiredidstring | nullrequireddeletedbooleanrequiredresultanyResponses
Reddit: Saved categories (Saved)
/accounts/{accountId}/reddit/saved/categoriesSaved categories. Requires scopes: history, save. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/saved.
Try it with MCPAsk your agent to call reddit-saved-categories (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Save item (Saved)
/accounts/{accountId}/reddit/saved/saveSave item. Requires scopes: history, save. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/saved.
Try it with MCPAsk your agent to call reddit-saved-save (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
idstringrequiredcategorystringReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Hidden
Reddit: List Hidden posts
/accounts/{accountId}/reddit/hiddenGET /user/{me}/hidden. Cursor pagination: pass next_cursor back as cursor. Requires scopes: history. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/hidden.
Try it with MCPAsk your agent to call reddit-hidden-list (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (Reddit after fullname)
limitintegerdefault: 251–100
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 36 item attributes
idstringrequiredt3_ fullname
short_idstringtitlestringrequired≤ 300 characters
textstringMarkdown body (self posts)
urlstring (uri) | nullpermalinkstring (uri)subredditstringauthorstringcreated_atstring (date-time)edited_atstring (date-time) | nullscoreintegerupvote_rationumber | null0–1
num_commentsintegernum_crosspostsintegerawardsintegerview_countinteger | nullkindstringselflinkimagevideogallerypollcrosspost
domainstring | nullthumbnailstring (uri) | nullflair_textstring | nullflair_template_idstring | nullover_18booleanspoilerbooleanlockedbooleanstickiedbooleanarchivedbooleandistinguishedstring | nullsend_repliesboolean | nullsavedbooleanhiddenbooleanmy_voteinteger-101
removed_by_categorystring | nullnum_reportsinteger | nullpollobject | nullShow 3 child attributes
total_votesinteger | nullends_atstring (date-time) | nulloptionsarray of objectShow 3 item attributes
idstringtextstringvotesinteger | nullgalleryarray of object | nullShow 4 item attributes
media_idstringcaptionstring | nulloutbound_urlstring (uri) | nullurlstring (uri) | nullvideo_urlstring (uri) | nulllimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Reddit: Delete a Hidden posts item
/accounts/{accountId}/reddit/hidden/{itemId}POST /api/unhide. Requires scopes: history, report. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/hidden.
Try it with MCPAsk your agent to call reddit-hidden-delete (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_item
platformstringrequiredresourcestringrequiredidstring | nullrequireddeletedbooleanrequiredresultanyResponses
Voted
Reddit: List Voted
/accounts/{accountId}/reddit/votedGET /user/{me}/upvoted | downvoted. Posts you upvoted or downvoted. Removing an item clears your vote (human action). Cursor pagination: pass next_cursor back as cursor. Requires scopes: history. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/voted.
Try it with MCPAsk your agent to call reddit-voted-list (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (Reddit after fullname)
limitintegerdefault: 251–100
directionstringdefault: "up"updown
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 36 item attributes
idstringrequiredt3_ fullname
short_idstringtitlestringrequired≤ 300 characters
textstringMarkdown body (self posts)
urlstring (uri) | nullpermalinkstring (uri)subredditstringauthorstringcreated_atstring (date-time)edited_atstring (date-time) | nullscoreintegerupvote_rationumber | null0–1
num_commentsintegernum_crosspostsintegerawardsintegerview_countinteger | nullkindstringselflinkimagevideogallerypollcrosspost
domainstring | nullthumbnailstring (uri) | nullflair_textstring | nullflair_template_idstring | nullover_18booleanspoilerbooleanlockedbooleanstickiedbooleanarchivedbooleandistinguishedstring | nullsend_repliesboolean | nullsavedbooleanhiddenbooleanmy_voteinteger-101
removed_by_categorystring | nullnum_reportsinteger | nullpollobject | nullShow 3 child attributes
total_votesinteger | nullends_atstring (date-time) | nulloptionsarray of objectShow 3 item attributes
idstringtextstringvotesinteger | nullgalleryarray of object | nullShow 4 item attributes
media_idstringcaptionstring | nulloutbound_urlstring (uri) | nullurlstring (uri) | nullvideo_urlstring (uri) | nulllimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Reddit: Delete a Voted item
/accounts/{accountId}/reddit/voted/{itemId}POST /api/vote dir=0. Posts you upvoted or downvoted. Removing an item clears your vote (human action). Requires scopes: history, vote. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/voted.
Try it with MCPAsk your agent to call reddit-voted-delete (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_item
platformstringrequiredresourcestringrequiredidstring | nullrequireddeletedbooleanrequiredresultanyResponses
Overview
Reddit: List Activity overview
/accounts/{accountId}/reddit/overviewGET /user/{me}/overview. Cursor pagination: pass next_cursor back as cursor. Requires scopes: history. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/overview.
Try it with MCPAsk your agent to call reddit-overview-list (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (Reddit after fullname)
limitintegerdefault: 251–100
sortstringdefault: "new"newhottopcontroversial
tstringTime filter for top/controversial
hourdayweekmonthyearall
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 45 item attributes
idstringrequiredt1_ fullname
short_idstringtitlestring≤ 300 characters
textstringurlstring (uri) | nullpermalinkstring (uri)subredditstringauthorstringcreated_atstring (date-time)edited_atstring (date-time) | nullscoreintegerupvote_rationumber | null0–1
num_commentsintegernum_crosspostsintegerawardsintegerview_countinteger | nullkindstringpostcomment
domainstring | nullthumbnailstring (uri) | nullflair_textstring | nullflair_template_idstring | nullover_18booleanspoilerbooleanlockedbooleanstickiedbooleanarchivedbooleandistinguishedstring | nullsend_repliesboolean | nullsavedbooleanhiddenbooleanmy_voteinteger-101
removed_by_categorystring | nullnum_reportsinteger | nullpollobject | nullShow 3 child attributes
total_votesinteger | nullends_atstring (date-time) | nulloptionsarray of objectShow 3 item attributes
idstringtextstringvotesinteger | nullgalleryarray of object | nullShow 4 item attributes
media_idstringcaptionstring | nulloutbound_urlstring (uri) | nullurlstring (uri) | nullvideo_urlstring (uri) | nulllike_countintegerparent_idstringt3_ (top level) or t1_ parent
post_idstringpost_titlestring | nulldepthintegerreplies_countintegeris_submitterbooleanis_ownboolean | nullremovedbooleanlimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
My subreddits
Reddit: List My subreddits
/accounts/{accountId}/reddit/my-subredditsGET /subreddits/mine/{where}. Subreddits you subscribe to, moderate or are approved in; choose the default posting subreddit. Cursor pagination: pass next_cursor back as cursor. Requires scopes: mysubreddits. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-subreddits.
Try it with MCPAsk your agent to call reddit-my-subreddits-list (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (Reddit after fullname)
limitintegerdefault: 251–100
wherestringdefault: "postable"postablesubscribermoderatorcontributorstreams
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 22 item attributes
idstring | nullt5_ fullname
namestringrequiredprefixed_namestringtitlestring | nulldescriptionstring | nullsubscribersinteger | nullactive_usersinteger | nulltypestring | nullpublicprivaterestrictedgold_restrictedarchivedemployees_onlygold_onlyuser
over_18booleansubmission_typestringanylinkself
post_typesobjectShow 8 child attributes
selfbooleanlinkbooleanimagebooleanvideobooleangallerybooleanvideogifbooleanpollbooleancrosspostbooleanspoilers_enabledbooleanlink_flair_enabledbooleanrestrict_postingbooleanuser_is_subscriberbooleanuser_is_moderatorbooleanuser_is_contributorbooleanuser_is_bannedbooleanicon_urlstring (uri) | nullbanner_urlstring (uri) | nullurlstring (uri) | nullcreated_atstring (date-time) | nulllimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Reddit: Create a My subreddits item
/accounts/{accountId}/reddit/my-subredditsPOST /api/subscribe action=sub. Subreddits you subscribe to, moderate or are approved in; choose the default posting subreddit. Requires scopes: mysubreddits, subscribe. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-subreddits.
Try it with MCPAsk your agent to call reddit-my-subreddits-create (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
subredditstringrequiredSubreddit name without r/
≥ 1 characters
Returns object
idstring | nullt5_ fullname
namestringrequiredprefixed_namestringtitlestring | nulldescriptionstring | nullsubscribersinteger | nullactive_usersinteger | nulltypestring | nullpublicprivaterestrictedgold_restrictedarchivedemployees_onlygold_onlyuser
over_18booleansubmission_typestringanylinkself
post_typesobjectShow 8 child attributes
selfbooleanlinkbooleanimagebooleanvideobooleangallerybooleanvideogifbooleanpollbooleancrosspostbooleanspoilers_enabledbooleanlink_flair_enabledbooleanrestrict_postingbooleanuser_is_subscriberbooleanuser_is_moderatorbooleanuser_is_contributorbooleanuser_is_bannedbooleanicon_urlstring (uri) | nullbanner_urlstring (uri) | nullurlstring (uri) | nullcreated_atstring (date-time) | nullResponses
Reddit: Get a My subreddits item
/accounts/{accountId}/reddit/my-subreddits/{itemId}GET /r/{sr}/about. Subreddits you subscribe to, moderate or are approved in; choose the default posting subreddit. Requires scopes: mysubreddits, read. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-subreddits.
Try it with MCPAsk your agent to call reddit-my-subreddits-get (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
idstring | nullt5_ fullname
namestringrequiredprefixed_namestringtitlestring | nulldescriptionstring | nullsubscribersinteger | nullactive_usersinteger | nulltypestring | nullpublicprivaterestrictedgold_restrictedarchivedemployees_onlygold_onlyuser
over_18booleansubmission_typestringanylinkself
post_typesobjectShow 8 child attributes
selfbooleanlinkbooleanimagebooleanvideobooleangallerybooleanvideogifbooleanpollbooleancrosspostbooleanspoilers_enabledbooleanlink_flair_enabledbooleanrestrict_postingbooleanuser_is_subscriberbooleanuser_is_moderatorbooleanuser_is_contributorbooleanuser_is_bannedbooleanicon_urlstring (uri) | nullbanner_urlstring (uri) | nullurlstring (uri) | nullcreated_atstring (date-time) | nullResponses
Reddit: Delete a My subreddits item
/accounts/{accountId}/reddit/my-subreddits/{itemId}POST /api/subscribe action=unsub. Subreddits you subscribe to, moderate or are approved in; choose the default posting subreddit. Requires scopes: mysubreddits, subscribe. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-subreddits.
Try it with MCPAsk your agent to call reddit-my-subreddits-delete (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_item
platformstringrequiredresourcestringrequiredidstring | nullrequireddeletedbooleanrequiredresultanyResponses
Reddit: Set as default subreddit (My subreddits)
/accounts/{accountId}/reddit/my-subreddits/{itemId}/set-defaultReturns { metadata: { defaultSubreddit } } for the API to persist on the account. Subreddits you subscribe to, moderate or are approved in; choose the default posting subreddit. Requires scopes: mysubreddits. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/my-subreddits.
Try it with MCPAsk your agent to call reddit-my-subreddits-set-default (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Subreddits
Reddit: List Subreddit browser
/accounts/{accountId}/reddit/subredditsGET /subreddits/search | /subreddits/{popular,new,default}. Search and browse communities; open one to see its posting rules, allowed post types and requirements. Cursor pagination: pass next_cursor back as cursor. Requires scopes: read. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/subreddits.
Try it with MCPAsk your agent to call reddit-subreddits-list (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (Reddit after fullname)
limitintegerdefault: 251–100
qstringSearch text (otherwise browse where)
wherestringdefault: "popular"popularnewdefaultgold
include_nsfwbooleandefault: falseReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 22 item attributes
idstring | nullt5_ fullname
namestringrequiredprefixed_namestringtitlestring | nulldescriptionstring | nullsubscribersinteger | nullactive_usersinteger | nulltypestring | nullpublicprivaterestrictedgold_restrictedarchivedemployees_onlygold_onlyuser
over_18booleansubmission_typestringanylinkself
post_typesobjectShow 8 child attributes
selfbooleanlinkbooleanimagebooleanvideobooleangallerybooleanvideogifbooleanpollbooleancrosspostbooleanspoilers_enabledbooleanlink_flair_enabledbooleanrestrict_postingbooleanuser_is_subscriberbooleanuser_is_moderatorbooleanuser_is_contributorbooleanuser_is_bannedbooleanicon_urlstring (uri) | nullbanner_urlstring (uri) | nullurlstring (uri) | nullcreated_atstring (date-time) | nulllimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Reddit: Get a Subreddit browser item
/accounts/{accountId}/reddit/subreddits/{itemId}GET /r/{sr}/about + /about/rules (validate subreddit). Search and browse communities; open one to see its posting rules, allowed post types and requirements. Requires scopes: read. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/subreddits.
Try it with MCPAsk your agent to call reddit-subreddits-get (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Query parameters
include_requirementsbooleandefault: falseReturns object
idstring | nullt5_ fullname
namestringrequiredprefixed_namestringtitlestring | nulldescriptionstring | nullsubscribersinteger | nullactive_usersinteger | nulltypestring | nullpublicprivaterestrictedgold_restrictedarchivedemployees_onlygold_onlyuser
over_18booleansubmission_typestringanylinkself
post_typesobjectShow 8 child attributes
selfbooleanlinkbooleanimagebooleanvideobooleangallerybooleanvideogifbooleanpollbooleancrosspostbooleanspoilers_enabledbooleanlink_flair_enabledbooleanrestrict_postingbooleanuser_is_subscriberbooleanuser_is_moderatorbooleanuser_is_contributorbooleanuser_is_bannedbooleanicon_urlstring (uri) | nullbanner_urlstring (uri) | nullurlstring (uri) | nullcreated_atstring (date-time) | nullResponses
Reddit: Subscribe (Subreddit browser)
/accounts/{accountId}/reddit/subreddits/{itemId}/subscribeSubscribe. Search and browse communities; open one to see its posting rules, allowed post types and requirements. Requires scopes: read, subscribe. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/subreddits.
Try it with MCPAsk your agent to call reddit-subreddits-subscribe (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unsubscribe (Subreddit browser)
/accounts/{accountId}/reddit/subreddits/{itemId}/unsubscribeUnsubscribe. Search and browse communities; open one to see its posting rules, allowed post types and requirements. Requires scopes: read, subscribe. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/subreddits.
Try it with MCPAsk your agent to call reddit-subreddits-unsubscribe (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Posting requirements (Subreddit browser)
/accounts/{accountId}/reddit/subreddits/{itemId}/requirementsPosting requirements. Search and browse communities; open one to see its posting rules, allowed post types and requirements. Requires scopes: read, submit. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/subreddits.
Try it with MCPAsk your agent to call reddit-subreddits-requirements (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Submission guidelines (Subreddit browser)
/accounts/{accountId}/reddit/subreddits/{itemId}/submit-textSubmission guidelines. Search and browse communities; open one to see its posting rules, allowed post types and requirements. Requires scopes: read, submit. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/subreddits.
Try it with MCPAsk your agent to call reddit-subreddits-submit-text (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Sidebar (Subreddit browser)
/accounts/{accountId}/reddit/subreddits/{itemId}/sidebarSidebar. Search and browse communities; open one to see its posting rules, allowed post types and requirements. Requires scopes: read. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/subreddits.
Try it with MCPAsk your agent to call reddit-subreddits-sidebar (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Feed
Reddit: Get a Subreddit feed item
/accounts/{accountId}/reddit/feed/{itemId}GET /api/info. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-get (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
idstringrequiredt3_ fullname
short_idstringtitlestringrequired≤ 300 characters
textstringMarkdown body (self posts)
urlstring (uri) | nullpermalinkstring (uri)subredditstringauthorstringcreated_atstring (date-time)edited_atstring (date-time) | nullscoreintegerupvote_rationumber | null0–1
num_commentsintegernum_crosspostsintegerawardsintegerview_countinteger | nullkindstringselflinkimagevideogallerypollcrosspost
domainstring | nullthumbnailstring (uri) | nullflair_textstring | nullflair_template_idstring | nullover_18booleanspoilerbooleanlockedbooleanstickiedbooleanarchivedbooleandistinguishedstring | nullsend_repliesboolean | nullsavedbooleanhiddenbooleanmy_voteinteger-101
removed_by_categorystring | nullnum_reportsinteger | nullpollobject | nullShow 3 child attributes
total_votesinteger | nullends_atstring (date-time) | nulloptionsarray of objectShow 3 item attributes
idstringtextstringvotesinteger | nullgalleryarray of object | nullShow 4 item attributes
media_idstringcaptionstring | nulloutbound_urlstring (uri) | nullurlstring (uri) | nullvideo_urlstring (uri) | nullResponses
Reddit: Vote (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/voteUpvote (1), downvote (-1) or clear (0). Human click only; never automate or batch. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, vote. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-vote (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
directionintegerrequired10-1
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Save (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/saveSave. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, save. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-save (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
categorystringSaved category (Reddit Premium)
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unsave (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/unsaveUnsave. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, save. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-unsave (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Report (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/reportReport. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, report. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-report (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
reasonstringReason text
≤ 100 characters
rule_reasonstringSubreddit rule short_name
site_reasonstringSite-wide rule
custom_textstring≤ 2000 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Hide (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/hideHide. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, report. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-hide (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unhide (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/unhideUnhide. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, report. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-unhide (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Follow post (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/followFollow post. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, subscribe. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-follow (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
followbooleandefault: trueReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Crosspost (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/crosspostCrosspost to one subreddit (customise the title; no mass cross-posting). Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, submit. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-crosspost (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
subredditstringrequiredSubreddit name without r/
≥ 1 characters
titlestringrequired≤ 300 characters
nsfwbooleanspoilerbooleanflairIdstringflairTextstringsendRepliesbooleandefault: trueReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Approve (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/approveApprove. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-approve (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Remove (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/removeRemove. Hot/new/top/rising posts of a subreddit (or your front page). Destructive. Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-remove (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Body object
spambooleandefault: falsereason_idstringRemoval reason id
mod_notestringPrivate note for the mod log
≤ 100 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Send removal message (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/send-removal-messageSend removal message. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-send-removal-message (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
messagestringrequired≥ 1 characters
typestringdefault: "public"publicprivateprivate_exposed
titlestringSubject (private messages)
≤ 50 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Distinguish (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/distinguishDistinguish. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-distinguish (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
howstringdefault: "yes"yesnoadminspecial
stickybooleanSticky (top-level own comments only)
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Ignore reports (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/ignore-reportsIgnore reports. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-ignore-reports (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unignore reports (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/unignore-reportsUnignore reports. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-unignore-reports (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Snooze reports (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/snooze-reportsSnooze reports. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-snooze-reports (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
reasonstringrequiredReport reason to snooze for 7 days
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unsnooze reports (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/unsnooze-reportsUnsnooze reports. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-unsnooze-reports (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
reasonstringrequiredReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Lock (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/lockLock. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-lock (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unlock (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/unlockUnlock. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-unlock (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Mark NSFW (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/mark-nsfwMark NSFW. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-mark-nsfw (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unmark NSFW (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/unmark-nsfwUnmark NSFW. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-unmark-nsfw (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Mark spoiler (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/spoilerMark spoiler. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-spoiler (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unmark spoiler (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/unspoilerUnmark spoiler. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-unspoiler (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Pin / unpin (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/stickyPin / unpin. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-sticky (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
statebooleandefault: truenumintegerHighlight slot (1–6)
1–6
to_profilebooleanReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Contest mode (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/contest-modeContest mode. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-contest-mode (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
statebooleandefault: trueReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Suggested sort (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/suggested-sortSuggested sort. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-suggested-sort (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
sortstringrequiredconfidencetopnewcontroversialoldrandomqaliveblank
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Crowd control level (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/crowd-controlCrowd control level. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read, modposts. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-crowd-control (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
levelintegerrequired0–3
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Other discussions (Subreddit feed)
/accounts/{accountId}/reddit/feed/{itemId}/duplicatesOther discussions. Hot/new/top/rising posts of a subreddit (or your front page). Requires scopes: read. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/feed.
Try it with MCPAsk your agent to call reddit-feed-duplicates (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Search
Reddit: Vote (Search posts)
/accounts/{accountId}/reddit/search/{itemId}/voteUpvote (1), downvote (-1) or clear (0). Human click only; never automate or batch. User-initiated search (no bulk collection / social listening). Requires scopes: read, vote. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/search.
Try it with MCPAsk your agent to call reddit-search-vote (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
directionintegerrequired10-1
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Save (Search posts)
/accounts/{accountId}/reddit/search/{itemId}/saveSave. User-initiated search (no bulk collection / social listening). Requires scopes: read, save. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/search.
Try it with MCPAsk your agent to call reddit-search-save (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
categorystringSaved category (Reddit Premium)
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Unsave (Search posts)
/accounts/{accountId}/reddit/search/{itemId}/unsaveUnsave. User-initiated search (no bulk collection / social listening). Requires scopes: read, save. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/search.
Try it with MCPAsk your agent to call reddit-search-unsave (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reddit: Report (Search posts)
/accounts/{accountId}/reddit/search/{itemId}/reportReport. User-initiated search (no bulk collection / social listening). Requires scopes: read, report. Network docs: https://www.reddit.com/dev/api/ Generic route: /v1/accounts/{accountId}/focus/search.
Try it with MCPAsk your agent to call reddit-search-report (toolset focus_reddit)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
[...]
